/*************************************************************************/
/** This file and the information contain herein is provided "AS IS"    **/
/** without warranty of any kind, either expressed or implied,          **/
/** including but not limited to the implied warranties of              **/
/** merchantability and/or fitness for a particular purpose.            **/
/**                                                                     **/
/** This code cannot be redistributed or reused in any form whatsoever  **/
/** without the explicit approval of Sigma Designs, Inc.                **/
/**                                                                     **/
/** Copyright (C) 2011 Sigma Designs, Inc.                              **/
/** All rights reserved.                                                **/
/*************************************************************************/

#ifndef __QLFOPS_H__
#define __QLFOPS_H__

int qlf_open(unsigned long *pdwHandle, unsigned char *pFName, unsigned int dwReadOnly);
int qlf_close(unsigned long dwHandle);

int qlf_write(unsigned long dwHandle, unsigned char *pBuff, unsigned int dwLen);
int qlf_read(unsigned long dwHandle, unsigned char *pBuff, unsigned int dwLen);
int qlf_load(char *pszFileName, 
			  unsigned char **ppucaBuff, 
			  unsigned int *pulBuffLen
			  );

#endif //__QLFOPS_H__




