#ifndef __V4L2OPS_H__
#define __V4L2OPS_H__

struct pl330_frame;
struct pl330_format;

struct pl330_v4l2_ops
{
	/* for V4L2 Ctrl Handling */
	int (*s_ctrl)(void *viu, struct v4l2_control *ctrl);
	int (*g_ctrl)(void *viu, struct v4l2_control *ctrl);

	/* for V4L2 Input Handling */
	int (*s_input)(void *viu, int index); 
	int (*g_input)(void *viu, int *index);

	/* for V4L2 Format Handling */
	int (*try_frame)(void *viu, struct pl330_frame *frame,
			struct pl330_format *format);
};

#endif
