#!/bin/bash
# must set input before capture

SAMPLERATE=48000
#DEVICE_INDEX=$(cat /proc/asound/C353/pcm0c/info |grep card: | awk '{print $2}')
DELAY=0 # nanoseconds
VDEV=0
ADEV=0

if [ "$2" != "" ]; then
	VDEV=$2
fi

if [ "$3" != "" ]; then
	ADEV=$3
fi

v4l2-ctl --device=/dev/video$VDEV --set-input=$1
v4l2-ctl --device=/dev/video$VDEV --set-fmt-video=width=0,height=0,pixelformat=YV12

gst-launch-1.0 alsasrc device=hw:$ADEV,0 ! \
	audio/x-raw,rate=$SAMPLERATE,channels=2,depth=16 ! \
	queue max-size-buffers=0 max-size-time=0 max-size-bytes=0 min-threshold-time=$DELAY ! \
	alsasink sync=false
