#ifndef __CGPIO_GSPI_H__
#define __CGPIO_GSPI_H__

struct gpio_gspi_mgr {
	IHCIAPI *hci;

	/* selected chip set to low */
	int chipselect;
	int mosi;
	int miso;
	int sck;
	struct mutex mlock;
};

void gpio_gspi_init(struct gpio_gspi_mgr *mgr, IHCIAPI *hci, int miso, int mosi, int sck);

void gpio_gspi_chipselect(struct gpio_gspi_mgr *mgr, unsigned int chip);

void gpio_gspi_write(struct gpio_gspi_mgr *mgr, u16 command, u16 data);
void gpio_gspi_read(struct gpio_gspi_mgr *mgr, u16 command, u16 *data);

#endif /* __CGPIO_GSPI_H__ */
