#!/bin/sh

echo "
#ps encode
SystemControl-StreamType            ts
SystemControl-StreamData            video+audio

SysFunction-Function                encode
SysFunction-Video                   h264
SysFunction-Audio                   audio


#video
PictureResolution-InPicWidth        $1
PictureResolution-InPicHeight       $2
OutPictureResolution-OutPicWidth    $3
OutPictureResolution-OutPicHeight   $4


SystemControl-XferMode              frame
SystemControl-SpsrFreq              1
SystemControl-FFMode                frame
SystemControl-VMode                 cavlc

RateControl-Vbr                     0
RateControl-Mode                    viu
RateControl-AvgBitRate              20000
VbrBitRate-MinBitRate               16000
VbrBitRate-MaxBitRate               25000

GopLoopFilter-IntraPeriod           30
GopLoopFilter-BNum                  0
GopLoopFilter-Idr                   close

InputControl-SrcMode                hdmi
InputControl-SyncMode               0
InputControl-DataType               raw
InputControl-InFrameRate            $5
InputControl-OutFrameRate           30

InputControl-CkEdge                 positive

FilterControl-StartPixel            1
FilterControl-StartLine             0

SysLink-VideoInput                  viu
SysLink-VideoOutput                 host


#aac audio
SysLink-AudioInput                  aiu
SysLink-AudioOutput                 host

AudioControlParam-AudioType		aac
AudioControlParam-SampleRate		48k
AudioControlParam-ChNum			2

AudioControlEx-AacVer		mpeg2
AudioControlEx-HType		adts
AudioControlEx-CutoffFreq	18000
AudioControlEx-TNS		1
AudioControlEx-IS		1
AudioControlEx-PNS		1
AudioControlEx-MS		1" > cfg

if [[ $6 == 'p' ]]; then
	echo "
InputControl-ScanFormat             progressive
InputControl-Fmt                    progressive" >> cfg
else
	echo "
InputControl-ScanFormat             interlace
InputControl-Fmt                    interlace
DeInterlace-Mode					topfield" >> cfg
fi

./plstrm enc config cfg ofile ./ts_$1x$2.mpg



