#define __FILENAME__ (strrchr(__FILE__, '/') ? strrchr(__FILE__, '/') + 1 : __FILE__)

#define LOG(format,arg...) do{ \
    printk(KERN_INFO "@@%s,%s ,%d ." format "\n",__FILENAME__ ,__func__,__LINE__,## arg);\
    }while(0)
#define LOG_STR(str) \
    LOG(#str " is %s",str);
#define LOG_NUM(num) \
    LOG(#num " is %d",(int)num);
#define LOG_ULNUM(num) \
    LOG(#num " is %llu",(unsigned long)num);
#define LOG_HEX(num) \
    LOG(#num " is 0x%x",num);
#define LOG_ADDR(addr) \
    LOG(#addr " is %p",addr);

