#ifndef __PLGPIO_H__
#define __PLGPIO_H__

#include "cdevice.h"

#include "qlautoconf.h"
#include <linux/string.h>
#include "platform.h"
#include "qptypes.h"
#include "cpciecntl.h"
#include "qpdbgmgr.h"
#include "qpmemmgr.h"
#include "qptimemgr.h"
#include "util.h"
#include "qpbusintf.h"
#include "qpmpgcodec.h"
#ifdef CONFIG_QL300_PCIE_EVK
#include "pci_config.h"
#include "qlpciintf.h"
#endif
#include "qplinuxkermap.h"

#include "qpdevcntl.h"
#include "hci.h"

#define GPIO_LOW 0
#define GPIO_MAX 15

int write_gpio(IHCIAPI *hci, int port, int val);

int read_gpio(IHCIAPI *hci, int port);

int set_gpio_dir(IHCIAPI *hci, int port, GPIO_DIRECTION dir);

#endif

