#!/bin/bash

VDEV=0

if [ "$2" != "" ]; then
	VDEV=$2
fi

v4l2-ctl --device=/dev/video$VDEV --set-input=$1
v4l2-ctl --device=/dev/video$VDEV --set-fmt-video=width=0,height=0,pixelformat=YV12

WIDTH=$(v4l2-ctl --device=/dev/video$VDEV -V|grep Width | awk '{print $3}' | cut -d '/' -f1)
HEIGHT=$(v4l2-ctl --device=/dev/video$VDEV -V|grep Width | awk '{print $3}' | cut -d '/' -f2)

gst-launch-1.0 -v v4l2src device=/dev/video0 ! \
    "video/x-raw,width=$WIDTH,height=$HEIGHT,format=(string)YV12" ! \
	timeoverlay text="time:" ! \
	queue ! \
    xvimagesink

