#!/bin/bash

VDEV=0

if [ "$2" != "" ]; then
	VDEV=$2
fi

v4l2-ctl --device=/dev/video$VDEV --set-input=$1
v4l2-ctl --device=/dev/video$VDEV --set-fmt-video=width=0,height=0,pixelformat=MPEG

WIDTH=$(v4l2-ctl --device=/dev/video$VDEV -V|grep Width | awk '{print $3}' | cut -d '/' -f1)
HEIGHT=$(v4l2-ctl --device=/dev/video$VDEV -V|grep Width | awk '{print $3}' | cut -d '/' -f2)


DATE=$(date +"%Y%m%d%H%M%S")

../capture/capture --device=/dev/video$VDEV -c 0 -n $DATE.ts
