#ifndef __PERIPHERAL_H__
#define __PERIPHERAL_H__

#ifdef __cplusplus
extern "C" {
#endif
#include "boardinfo-probe.h"


TQP_BOOL CQLCodecLib_CreatePCIe(CQLCodecLib *This);
void CQLCodecLib_DeletePCIe(CQLCodecLib *This);
EQP_Errors CQLCodecLib_InitPCIe(CQLCodecLib *This);
void CQLCodecLib_DonePCIe(CQLCodecLib *This);
TQP_BOOL CQLCodecLib_CreatePeripherals(CQLCodecLib *This); 
void CQLCodecLib_DeletePeripherals(CQLCodecLib *This);
EQP_Errors CQLCodecLib_InitPeripherals(CQLCodecLib *This);
void CQLCodecLib_DonePeripherals(CQLCodecLib *This);

TQP_BOOL CQLCodecLib_CreatePeripheralsVidDecoder(CQLCodecLib *This);   // Andy 2008.10.14
TQP_BOOL CQLCodecLib_CreatePeripheralsAudCodec(CQLCodecLib *This);
void CQLCodecLib_DeletePeripheralsVidDecoder(CQLCodecLib *This);   // Andy 2008.10.14
EQP_Errors CQLCodecLib_InitPeripheralsVidDecoder(CQLCodecLib *This);   // Andy 2008.10.14
void CQLCodecLib_DonePeripheralsVidDecoder(CQLCodecLib *This);   // Andy 2008.10.14

TQP_BOOL CQLCodecLib_Create_Peripherals_By_Probe(CQLCodecLib* This);
void CQLCodecLib_Delete_Peripheral_By_Probe(CQLCodecLib* This);
#ifdef __cplusplus
}
#endif

#endif

